<?php
header('Content-Type: application/json');
include '../koneksi.php';

$id_anak   = $_POST['id_anak'] ?? '';
$tgl       = $_POST['tanggal'] ?? '';
$kegiatan  = $_POST['kegiatan'] ?? '';
$kesehatan = $_POST['catatan_kesehatan'] ?? '';
$ket       = $_POST['keterangan'] ?? '';
$foto      = $_POST['foto'] ?? '';

$nama_file = "";
if(!empty($foto)){
    $folder = "../images/img_harian/"; // PERBAIKAN PATH
    if (!file_exists($folder)) { mkdir($folder, 0777, true); }
    
    $nama_file = "HRN_".time().".jpg";
    file_put_contents($folder.$nama_file, base64_decode(str_replace(' ', '+', $foto)));
}

$sql = "INSERT INTO laporan_harian (id_anak, tanggal, kegiatan, catatan_kesehatan, keterangan, foto_laporan) 
        VALUES ('$id_anak', '$tgl', '$kegiatan', '$kesehatan', '$ket', '$nama_file')";

if(mysqli_query($koneksi, $sql)) {
    echo json_encode(["status" => true, "message" => "Berhasil"]);
} else {
    echo json_encode(["status" => false, "message" => mysqli_error($koneksi)]);
}
?>